summaryrefslogtreecommitdiff
path: root/debian/libsane1.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/libsane1.postinst')
-rw-r--r--debian/libsane1.postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/libsane1.postinst b/debian/libsane1.postinst
new file mode 100644
index 0000000..971103e
--- /dev/null
+++ b/debian/libsane1.postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+ configure)
+ # Add the scanner system group if it doesn't exist
+ if ! getent group | grep -q "^scanner:"; then
+ echo "Adding scanner group..."
+ addgroup --quiet --system scanner || true
+ fi
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "$0 called with unknown argument '$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#